Dxtory
Dxtory

About Execute Program

It is necessary to install ".NET Framework 4.0" in the execution of Dxtory.

Version 2.0.127 Latest

DOWNLOAD
DxtorySetup2.0.127.exe 3.23 MB(2014-06-09)


Version 2.0.126 Stable

DOWNLOAD
DxtorySetup2.0.126.exe 3.7 MB(2014-01-30)


.NET Framework

Microsoft .NET Framework 4.0 Download Site